Loading...
Searching...
No Matches
Halide::PyTorch::UserContext Struct Reference

`#include <HalidePyTorchCudaHelpers.h>`

## Public Member Functions

| UserContext (int id, CUcontext *ctx, cudaStream_t *stream)

## Public Attributes

int | device_id
CUcontext * | cuda_context
cudaStream_t * | stream

## Detailed Description

Definition at line 18 of file HalidePyTorchCudaHelpers.h.

## Constructor & Destructor Documentation

## UserContext()

Halide::PyTorch::UserContext::UserContext | ( | int | id,
|  | CUcontext * | ctx,
|  | cudaStream_t * | stream )

inline

Definition at line 19 of file HalidePyTorchCudaHelpers.h.

References cuda_context, device_id, and stream.

## Member Data Documentation

## device_id

int Halide::PyTorch::UserContext::device_id

Definition at line 22 of file HalidePyTorchCudaHelpers.h.

Referenced by halide_get_gpu_device(), and UserContext().

## cuda_context

CUcontext* Halide::PyTorch::UserContext::cuda_context

Definition at line 23 of file HalidePyTorchCudaHelpers.h.

Referenced by halide_cuda_acquire_context(), and UserContext().

## stream

cudaStream_t* Halide::PyTorch::UserContext::stream

Definition at line 24 of file HalidePyTorchCudaHelpers.h.

Referenced by halide_cuda_get_stream(), and UserContext().

The documentation for this struct was generated from the following file:

- src/runtime/HalidePyTorchCudaHelpers.h